package repositories

import "awesome-back/internal/domain/entities"

type OrderRepository interface {
	FindAll() ([]entities.Order, error)
	FindByID(id int) (*entities.Order, error)
	Save(order *entities.Order) error
}
